import Vue from 'vue'
import Router from 'vue-router'
//扫楼日志
const buildLog = resolve => require(['@/views/buildLog.vue'], resolve)
    //扫楼用户
const buildUser = resolve => require(['@/views/buildUser.vue'], resolve)
    //扫楼异常资产
const buildAssets = resolve => require(['@/views/buildAssets.vue'], resolve)

//扫楼数据整理
const buildData = resolve => require(['@/views/buildingData.vue'], resolve)
const buildData1 = resolve => require(['@/views/buildingData1.vue'], resolve)

//扫楼信息点显示管理
const buildFamily = resolve => require(['@/views/buildFamily.vue'], resolve)

//标签详情
const pointDetails = resolve => require(['@/views/layerPoint.vue'], resolve)

//平面图管理
const buildGraphy = resolve => require(['@/views/buildGraphy.vue'], resolve)


//业务空间管理
const businessSpace = resolve => require(['@/views/businessSpace.vue'], resolve)


//点位图
const gplot = resolve => require(['@/views/gplot.vue'], resolve)


//思维导图
const mindMap = resolve => require(['@/views/mindMap.vue'], resolve)


//空间拓扑图
const spaceGraphy = resolve => require(['@/views/spaceGraphy.vue'], resolve)


//水管拓扑图
const conduitGraphy = resolve => require(['@/views/conduitGraphy.vue'], resolve)


//设备清单
const deviceList = resolve => require(['@/views/deviceList.vue'], resolve)


//资产清单
const assetsList = resolve => require(['@/views/assetsList.vue'], resolve)

//系统清单
const systemList = resolve => require(['@/views/systemList.vue'], resolve)

//gojs绘制图
const coldside = resolve => require(['@/views/coldside.vue'], resolve)


const demo = resolve => require(['@/components/demo1.vue'], resolve)

Vue.use(Router)

export default new Router({
    routes: [{
            path: '/buildLog',
            name: 'buildLog',
            component: buildLog
        },
        {
            path: '/buildUser',
            name: 'buildUser',
            component: buildUser
        },
        {
            path: '/buildAssets',
            name: 'buildAssets',
            component: buildAssets
        },
        {
            path: '/buildData',
            name: 'buildData',
            component: buildData
        },
        {
            path: '/buildData1',
            name: 'buildData1',
            component: buildData1
        },
        {
            path: '/pointDetails',
            name: 'pointDetails',
            component: pointDetails
        },
        {
            path: '/buildFamily',
            name: 'buildFamily',
            component: buildFamily
        },
        {
            path: '/buildGraphy',
            name: 'buildGraphy',
            component: buildGraphy
        },
        {
            path: '/businessSpace',
            name: 'businessSpace',
            component: businessSpace
        }, {
            path: '/demo',
            name: "demo",
            component: demo
        }, {
            path: '/gplot',
            name: "gplot",
            component: gplot
        }, {
            path: '/mindMap',
            name: "mindMap",
            component: mindMap
        }, {
            path: '/spaceGraphy',
            name: "spaceGraphy",
            component: spaceGraphy
        }, {
            path: '/conduitGraphy',
            name: "conduitGraphy",
            component: conduitGraphy
        }, {
            path: '/deviceList',
            name: "deviceList",
            component: deviceList
        },
        {
            path: '/assetsList',
            name: "assetsList",
            component: assetsList
        },
        {
            path: '/systemList',
            name: 'systemList',
            component: systemList
        }, {
            path: '/coldside',
            name: 'coldside',
            component: coldside
        }
    ]
})